# std::swap(std::basic_istringstream)

From cppreference.com
< cpp‎ | io‎ | basic istringstream

template< class CharT, class Traits, class Alloc > void swap( std::basic_istringstream<CharT,Traits,Alloc>& lhs, std::basic_istringstream<CharT,Traits,Alloc>& rhs ); |  |

Specializes the std::swap algorithm for std::basic_istringstream. Exchanges the state of `lhs` with that of `rhs`. Effectively calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | streams whose state to swap

### Return value

(none)

### Exceptions

(none)

### Example

| This section is incomplete Reason: no example

### See also

swap (C++11) | swaps two string streams (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_istringstream/swap2&oldid=50848"